function segmentoCiuAgen(id, val) {
    $('.form-group-ciudad').hide();
    $('.form-group-agencia').hide();
    $('#COD_CIUDAD').prop('disabled', true);
    $('#COD_AGENCIA').prop('disabled', true);
    if (val === 'C') {
        $('.form-group-ciudad').show();
        $('#COD_CIUDAD').prop('disabled', false);
    }
    if (val === 'A') {
        $('.form-group-agencia').show();
        $('#COD_AGENCIA').prop('disabled', false);
    }
}

$(document).ready(function() {
    $(function() {
        $('#crear-form').parsley();
    });



    $(function() {
        $('#fecha-ini-uso').datetimepicker({
            locale: 'es',
            format: 'YYYY-MM-DD HH:mm:00',
            showClose: true
        });
        $('#fecha-fin-uso').datetimepicker({
            locale: 'es',
            format: 'YYYY-MM-DD HH:mm:00',
            showClose: true
        });
        $("#fecha-ini-uso").on("dp.change", function(e) {
            $('#fecha-fin-uso').data("DateTimePicker").minDate(e.date);
        });
        $("#datetimepicker7").on("dp.change", function(e) {
            $('#fecha-fin-uso').data("DateTimePicker").maxDate(e.date);
        });
    });

    //Listado de Instancias.
    $('#listing').DataTable({
        "bStateSave": true,
        dom: 'lBfrtip',
        columnDefs: [
            { "width": "520px", "targets": [6] },
        ],
        buttons: [{
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                title: ' - Lista de Instancias',
                exportOptions: {
                    modifier: {
                        search: 'applied',
                        order: 'applied'
                    }

                },
            },
            {
                extend: 'pdf',
                text: 'Exportar a PDF',
                title: ' - Lista de Instancias',
                header: true,
                footer: true,
                exportOptions: {
                    modifier: {
                        page: 'current'
                    }
                }
            },
            {
                extend: 'copy',
                text: 'Copiar',
                exportOptions: {
                    modifier: {
                        search: 'applied',
                        order: 'applied'
                    }
                }
            }
        ],
        lengthMenu: [
            [20, 50, 100, 100000],
            [20, 50, 100, "Todos"]
        ],
        "scrollX": true,
        "bProcessing": true,
        "serverSide": true,
        "ajax": {
            url: baseUrl + "instancias/get_all", // json datasource
            type: "post", // type of method  ,GET/POST/DELETE
            error: function() {
                $("#processing").css("display", "none");
            }
        },
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningún dato disponible en esta tabla",
            "sInfo": "Mostrando instancias del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando instancias del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar Usuario:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Último",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        }
    });

});